程序包 com.databend.jdbc.examples

# 类 DatabendConnectionFactory

java.lang.Object
com.databend.jdbc.examples.DatabendConnectionFactory

所有已实现的接口:
  `org.apache.commons.pool2.PooledObjectFactory<DatabendConnection>`

public class DatabendConnectionFactory extends Object implements org.apache.commons.pool2.PooledObjectFactory<DatabendConnection>

## 构造器概要

构造器
构造器
说明
`DatabendConnectionFactory(String url, Properties properties)`

## 方法概要

修饰符和类型
方法
说明
`void`
`activateObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p)`
`void`
`destroyObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p)`
`org.apache.commons.pool2.PooledObject<DatabendConnection>`
`makeObject()`
`void`
`passivateObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p)`
`boolean`
`validateObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p)`

### 从类继承的方法 java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### 从接口继承的方法 org.apache.commons.pool2.PooledObjectFactory

`destroyObject`

## 构造器详细资料

### DatabendConnectionFactory

public DatabendConnectionFactory(String url, Properties properties)

## 方法详细资料

### makeObject

public org.apache.commons.pool2.PooledObject<DatabendConnection> makeObject() throws Exception

指定者:
  `makeObject` 在接口中 `org.apache.commons.pool2.PooledObjectFactory<DatabendConnection>`
抛出:
  `Exception`

### destroyObject

public void destroyObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p) throws Exception

指定者:
  `destroyObject` 在接口中 `org.apache.commons.pool2.PooledObjectFactory<DatabendConnection>`
抛出:
  `Exception`

### validateObject

public boolean validateObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p)

指定者:
  `validateObject` 在接口中 `org.apache.commons.pool2.PooledObjectFactory<DatabendConnection>`

### activateObject

public void activateObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p) throws Exception

指定者:
  `activateObject` 在接口中 `org.apache.commons.pool2.PooledObjectFactory<DatabendConnection>`
抛出:
  `Exception`

### passivateObject

public void passivateObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p) throws Exception

指定者:
  `passivateObject` 在接口中 `org.apache.commons.pool2.PooledObjectFactory<DatabendConnection>`
抛出:
  `Exception`